# osgParticle::ExplosionEffect Class Reference

Inheritance diagram for osgParticle::ExplosionEffect:

[legend]
List of all members.

## Public Member Functions

| ExplosionEffect ()
| ExplosionEffect (const ExplosionEffect &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Node (osgParticle, ExplosionEffect)
virtual void | setDefaults ()
virtual void | buildEffect ()

## Constructor & Destructor Documentation

ExplosionEffect::ExplosionEffect | ( |  | ) |

ExplosionEffect::ExplosionEffect | ( | const ExplosionEffect & | copy,
|  | const osg::CopyOp & | copyop = `osg::CopyOp::SHALLOW_COPY`
| ) |

## Member Function Documentation

void ExplosionEffect::buildEffect | ( |  | ) | `[virtual]`

| Implements osgParticle::ParticleEffect.

osgParticle::ExplosionEffect::META_Node | ( | osgParticle | ,
|  | ExplosionEffect |
| ) |

void ExplosionEffect::setDefaults | ( |  | ) | `[virtual]`

The documentation for this class was generated from the following files:

- ExplosionEffect
- ExplosionEffect.cpp